Bug 863595 - [abrt] libreport-gtk-2.0.14-1.fc17: Process /usr/bin/report-gtk was killed by signal 11 (SIGSEGV)
[abrt] libreport-gtk-2.0.14-1.fc17: Process /usr/bin/report-gtk was killed by...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: libreport (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jakub Filak
Fedora Extras Quality Assurance
abrt_hash:858db9e0cebd52dc3f00fb0a995...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-05 20:53 EDT by Brooks Sorensen
Modified: 2016-11-30 19:42 EST (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-20 10:07:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: core_backtrace (4.20 KB, text/plain)
2012-10-05 20:53 EDT, Brooks Sorensen
no flags Details
File: environ (1.41 KB, text/plain)
2012-10-05 20:53 EDT, Brooks Sorensen
no flags Details
File: limits (1.29 KB, text/plain)
2012-10-05 20:53 EDT, Brooks Sorensen
no flags Details
File: backtrace (41.96 KB, text/plain)
2012-10-05 20:53 EDT, Brooks Sorensen
no flags Details
File: cgroup (129 bytes, text/plain)
2012-10-05 20:53 EDT, Brooks Sorensen
no flags Details
File: maps (33.16 KB, text/plain)
2012-10-05 20:53 EDT, Brooks Sorensen
no flags Details
File: dso_list (6.71 KB, text/plain)
2012-10-05 20:53 EDT, Brooks Sorensen
no flags Details
File: var_log_messages (400 bytes, text/plain)
2012-10-05 20:53 EDT, Brooks Sorensen
no flags Details
File: open_fds (398 bytes, text/plain)
2012-10-05 20:53 EDT, Brooks Sorensen
no flags Details

  None (edit)
Description Brooks Sorensen 2012-10-05 20:53:30 EDT
Description of problem:
Was creating a new virtual machine with VMware Workstation 9 and running Evolution mail client. 
System was running slow while creating the pre-allocated hard disk on a standard HDD, 500 GB. 
Don't know if thats related to this issue.


Version-Release number of selected component:
libreport-gtk-2.0.14-1.fc17

Additional info:
libreport version: 2.0.14
abrt_version:   2.0.13
backtrace_rating: 4
cmdline:        report-gtk -e report_uReport -e report_Bugzilla -e post_report -- /var/spool/abrt/oops-2012-10-05-20:08:37-5461-1
crash_function: secrets_collection_create_text_item
kernel:         3.5.4-2.fc17.x86_64

truncated backtrace:
:Thread no. 1 (10 frames)
: #0 secrets_collection_create_text_item at secrets.c:943
: #1 save_options at secrets.c:1285
: #2 save_event_config at secrets.c:1327
: #3 libreport_save_event_config_data_to_user_storage at secrets.c:1415
: #4 libreport_show_event_config_dialog at event_config_dialog.c:389
: #5 on_configure_event_cb at wizard.c:261
: #6 _g_closure_invoke_va at gclosure.c:840
: #9 gtk_real_button_released at gtkbutton.c:2007
: #14 gtk_button_button_release at gtkbutton.c:1842
: #16 _gtk_marshal_BOOLEAN__BOXEDv at gtkmarshalers.c:130
Comment 1 Brooks Sorensen 2012-10-05 20:53:33 EDT
Created attachment 622521 [details]
File: core_backtrace
Comment 2 Brooks Sorensen 2012-10-05 20:53:35 EDT
Created attachment 622522 [details]
File: environ
Comment 3 Brooks Sorensen 2012-10-05 20:53:36 EDT
Created attachment 622523 [details]
File: limits
Comment 4 Brooks Sorensen 2012-10-05 20:53:38 EDT
Created attachment 622524 [details]
File: backtrace
Comment 5 Brooks Sorensen 2012-10-05 20:53:40 EDT
Created attachment 622525 [details]
File: cgroup
Comment 6 Brooks Sorensen 2012-10-05 20:53:42 EDT
Created attachment 622526 [details]
File: maps
Comment 7 Brooks Sorensen 2012-10-05 20:53:43 EDT
Created attachment 622527 [details]
File: dso_list
Comment 8 Brooks Sorensen 2012-10-05 20:53:45 EDT
Created attachment 622528 [details]
File: var_log_messages
Comment 9 Brooks Sorensen 2012-10-05 20:53:46 EDT
Created attachment 622529 [details]
File: open_fds
Comment 10 Jakub Filak 2012-10-08 10:11:47 EDT
commit a64e8af7a78373f2409beb547dfad53c8fce7075
Author: Jakub Filak <jfilak@redhat.com>
Date:   Sun Oct 7 21:55:35 2012 +0200

    check D-Bus err name without leaking nor crashing
    
    - closes: rhbz#863595
    
    Signed-off-by: Jakub Filak <jfilak@redhat.com>
Comment 11 Fedora Update System 2012-10-11 10:01:45 EDT
abrt-2.0.15-1.fc17,libreport-2.0.16-1.fc17,btparser-0.20-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/abrt-2.0.15-1.fc17,libreport-2.0.16-1.fc17,btparser-0.20-1.fc17
Comment 12 Fedora Update System 2012-10-11 22:55:25 EDT
Package abrt-2.0.15-1.fc17, libreport-2.0.16-1.fc17, btparser-0.20-1.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing abrt-2.0.15-1.fc17 libreport-2.0.16-1.fc17 btparser-0.20-1.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-15968/abrt-2.0.15-1.fc17,libreport-2.0.16-1.fc17,btparser-0.20-1.fc17
then log in and leave karma (feedback).
Comment 13 BLS 2012-10-12 00:32:20 EDT
Awesome : )

Have't been pushed yet but I will try once a day until I get the updated packages. I'll update if there's any other issues.

-Thanks

(new account for more privacy...btw)
Comment 14 Jakub Filak 2012-10-12 03:19:23 EDT
I forgot to add a message of the commit to libreport's git which fixes this bug. So here it is.

commit a64e8af7a78373f2409beb547dfad53c8fce7075
Author: Jakub Filak <jfilak@redhat.com>
Date:   Sun Oct 7 21:55:35 2012 +0200

    check D-Bus err name without leaking nor crashing
    
    - closes: rhbz#863595
    
    Signed-off-by: Jakub Filak <jfilak@redhat.com>
Comment 15 Fedora Update System 2012-10-17 20:33:58 EDT
Package abrt-2.0.16-1.fc17, libreport-2.0.16-1.fc17, btparser-0.20-1.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing abrt-2.0.16-1.fc17 libreport-2.0.16-1.fc17 btparser-0.20-1.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-15968/abrt-2.0.16-1.fc17,libreport-2.0.16-1.fc17,btparser-0.20-1.fc17
then log in and leave karma (feedback).
Comment 16 Fedora Update System 2012-12-20 10:07:11 EST
abrt-2.0.16-1.fc17, libreport-2.0.16-1.fc17, btparser-0.20-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.